Upsert multiple templates
curl --request POST \
--url https://api.sandbox.usenash.com/v1/templates/upsert \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"templates": [
{
"type": "DELIVERY_WINDOW",
"deliveryWindowTemplatePayload": {
"key": "value"
},
"shiftTemplatePayload": {
"key": "value"
},
"externalId": "ext_01234567890123456789",
"name": "Monday Delivery Window",
"startDatetime": "2024-01-01T12:00:00",
"endDatetime": "2024-01-01T12:00:00",
"daysOfWeek": [
"MONDAY",
"TUESDAY"
],
"generationFrequencyValue": 1,
"generationFrequencyUnit": "DAY",
"createInstancesUpToValue": 1,
"createInstancesUpToUnit": "DAY",
"overrideExistingInstances": true
}
]
}
'import requests
url = "https://api.sandbox.usenash.com/v1/templates/upsert"
payload = { "templates": [
{
"type": "DELIVERY_WINDOW",
"deliveryWindowTemplatePayload": { "key": "value" },
"shiftTemplatePayload": { "key": "value" },
"externalId": "ext_01234567890123456789",
"name": "Monday Delivery Window",
"startDatetime": "2024-01-01T12:00:00",
"endDatetime": "2024-01-01T12:00:00",
"daysOfWeek": ["MONDAY", "TUESDAY"],
"generationFrequencyValue": 1,
"generationFrequencyUnit": "DAY",
"createInstancesUpToValue": 1,
"createInstancesUpToUnit": "DAY",
"overrideExistingInstances": True
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
templates: [
{
type: 'DELIVERY_WINDOW',
deliveryWindowTemplatePayload: {key: 'value'},
shiftTemplatePayload: {key: 'value'},
externalId: 'ext_01234567890123456789',
name: 'Monday Delivery Window',
startDatetime: '2024-01-01T12:00:00',
endDatetime: '2024-01-01T12:00:00',
daysOfWeek: ['MONDAY', 'TUESDAY'],
generationFrequencyValue: 1,
generationFrequencyUnit: 'DAY',
createInstancesUpToValue: 1,
createInstancesUpToUnit: 'DAY',
overrideExistingInstances: true
}
]
})
};
fetch('https://api.sandbox.usenash.com/v1/templates/upsert', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"templates": [
{
"id": "tpl_01234567890123456789",
"type": "DELIVERY_WINDOW",
"payload": {},
"externalId": "<string>",
"name": "<string>",
"startDatetime": "2024-01-01T12:00:00",
"endDatetime": "2024-01-01T12:00:00",
"daysOfWeek": [
"MONDAY",
"TUESDAY"
],
"generationFrequencyValue": 1,
"generationFrequencyUnit": "DAY",
"createInstancesUpToValue": 1,
"createInstancesUpToUnit": "DAY",
"overrideExistingInstances": true
}
]
}[
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"response_status": "<string>",
"RequestID": "<string>"
}
]Upsert multiple templates
Create or update multiple notification templates in a single request. Templates define the content and format of notifications sent for delivery events.
POST
/
v1
/
templates
/
upsert
Upsert multiple templates
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Expected payload for creating multiple templates.
Show child attributes
Show child attributes
Response
OK
Response for a list of templates.
Show child attributes
Show child attributes
Was this page helpful?
⌘I